LS(1)

BEZEICHNUNG
ls - Verzeichnisinhalte auflisten

ÜBERSICHT
ls [OPTION]… [DATEI]…

BESCHREIBUNG

Auflistung von Informationen über die DATEIen (Standardvorgabe ist das aktuelle Verzeichnis). Die Einträge werden alphabetisch sortiert, falls weder -cftuvSUX noch --sort angegeben wurden.

Die zwingend erforderlichen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-a, --all
    Einträge nicht ignorieren, die mit ».« beginnen

-A, --almost-all
    Die impliziten Einträge ».« und »..« nicht auflisten

--author
    Mit -l den Autor jeder Datei ausgeben

-b, --escape
    Bei nichtdruckbaren Zeichen Maskierungen im C-Stil ausgeben

--block-size=GRÖSSE
    skaliert mit -l beim Druck Größen durch GRÖSSE; z.B. »--block-size=M«; siehe GRÖSSE-Format unten.

-B, --ignore-backups
    Implizite Einträge, die auf »~« enden, nicht auflisten

-c  Mit -lt: Sortieren nach und Anzeigen von ctime (die Zeit der letzten Änderung der Statusinformation der Datei); mit -l: Anzeigen von ctime, sortieren nach Name; ansonsten: Sortieren nach ctime, neueste zuerst

-C  Einträge in Spalten auflisten

--color[=WANN]
    Steuerung, wann Farbe zum Unterscheiden der Dateitypen eingesetzt wird; mehr dazu nachfolgend

-d, --directory
    Verzeichnisse an sich auflisten, nicht deren Inhalte

-D, --dired
    Ausgabe erzeugen, die für Emacs' »dired«-Modus geeignet ist

-f  identisch zu -a -U

-F, --classify[=WANN]
    Indikator (einer von */=>@|) an Einträge WANN anhängen

--file-type
    wie -F, aber kein »*« anhängen

--format=WORT
    »across,horizontal« (-x), »commas« (-m), »long« (-l), »single-column« (-1), »verbose« (-l), »vertical« (-C)

--full-time
    Wie -l --time-style=full-iso

-g  Wie -l, aber Besitzer nicht auflisten

--group-directories-first
    Verzeichnisse vor Dateien gruppieren

-G, --no-group
    Bei einem langen Listenformat die Gruppennamen nicht ausgeben

-h, --human-readable
    Mit -l und -s Größen in der Form 1K 234M 2G usw. ausgeben

--si
    Genauso, aber Potenzen von 1000 statt 1024 benutzen

-H, --dereference-command-line
    Symbolischen Links folgen, die auf der Befehlszeile aufgeführt sind

--dereference-command-line-symlink-to-dir
    Jedem symbolischen Link auf der Befehlszeile folgen, der auf ein Verzeichnis zeigt

--hide=MUSTER
    Implizite Einträge, auf die das Shell‐MUSTER passt, nicht auflisten (wird durch -a oder -A außer Kraft gesetzt)

--hyperlink[=WANN]
    Dateinamen als Hyperlinks WANN

--indicator-style=WORT
    Indikator des Stils WORT an die Namen der Einträge anhängen: »none« (Standardvorgabe), »slash« (-p), »file-type« (--file-type), »classify« (-F)

-i, --inode
    Indexnummer jeder Datei ausgeben

-I, --ignore=MUSTER
    Implizite Einträge, auf die das Shell‐MUSTER passt, nicht auflisten

-k, --kibibytes
    1024-Byte-Blöcke als Voreinstellung für Platzverbrauch im Dateisystem verwenden; wird nur mit -s und pro Verzeichnisgesamtwerte verwandt

-l  Langes Listenformat verwenden

-L, --dereference
    Beim Anzeigen der Dateiinformationen für einen symbolischen Link werden die Informationen für die Datei angezeigt, auf die der Link zeigt, statt für den Link selbst

-m  Die Breite mit einer durch Kommata getrennten Liste von Einträgen auffüllen

-n, --numeric-uid-gid
    Wie -l, aber numerische Benutzer- und Gruppenkennungen auflisten

-N, --literal
    Eintragsnamen ohne Anführungszeichen ausgeben

-o  Wie -l, aber Gruppeninformationen nicht auflisten

-p, --indicator-style=Schrägstrich
    Den »/«-Indikator an Verzeichnisse anhängen

-q, --hide-control-chars
    Statt nichtgraphischer Zeichen »?« ausgeben

--show-control-chars
    Nicht darstellbare Zeichen anzeigen, wie sie sind (Standardvorgabe, außer wenn das Programm »ls« ist und die Ausgabe auf ein Terminal geht)

-Q, --quote-name
    Eintragsnamen in doppelte englische Anführungszeichen einschließen

--quoting-style=WORT
    Anführungszeichen‐Stil WORT für Eintragsnamen benutzen: literal, locale, shell, shell-always, shell-escape, shell-escape-always, c, escape (setzt die Umgebungsvariable QUOTING_STYLE außer Kraft)

-r, --reverse
    Umgekehrte Reihenfolge beim Sortieren

-R, --recursive
    Unterverzeichnisse rekursiv auflisten

-s, --size
    Die zugeteilte Größe jeder Datei in Blöcken ausgeben

-S  Nach Dateigröße sortieren, die größten zuerst

--sort=WORT
    Vorgabe »Sortiername« auf WORT ändern: »none« -U, »size« -S, »time« -t, »version« -v, »extension« -X, »name«, »width«

--time=WORT
    wählt, welcher Zeitstempel für die Anzeige oder Sortierung verwendet werden soll:; Zugriffszeit (-u): atime, access, use; Metadaten-Änderungszeit (-c): ctime, status; Änderungszeit (Vorgabe): mtime, modification; Erstellungszeit: birth, creation; mit -l bestimmt WORT welche Zeit angezeigt werden soll; mit --sort=time wird nach WORT sortiert (neueste zuerst)

--time-style=ZEITSTIL
    Zeit-/Datumsformat mit -l; siehe ZEITSTIL unten

-t  Nach Änderungszeit sortieren, neueste zuerst; siehe --time

-T, --tabsize=ANZAHL
    Tabulatorstopps nach jeweils ANZAHL Spalten setzen statt 8

-u  Mit -lt: Sortieren nach und Anzeigen der Zugriffszeit; mit -l: Anzeigen der Zugriffszeit, sortieren nach Name; ansonsten: Sortieren nach Zugriffszeit (neueste zuerst)

-U  Verzeichniseinträge nicht sortieren

-v  Natürliche Sortierung von (Versions)nummern im Text

-w, --width=BREITE
    setzt die Breite der Ausgabe auf BREITE. Wenn 0 angegeben wird, ist die Ausgabebreite nicht begrenzt.

-x  Einträge in Zeilen statt in Spalten auflisten

-X  Alphabetisch nach der Erweiterung des Eintrags sortieren

-Z, --context
    Jeden Sicherheitskontext jeder Datei anzeigen

--zero
    Jede Ausgabezeile mit einem Nullbyte statt des Zeilenumbruchs abschließen

-1  Eine Datei pro Zeile auflisten

--help
    Zeigt Hilfeinformationen an und beendet das Programm.

--version
    Gibt Versionsinformationen aus und beendet das Programm.

GRÖSSE ist eine Ganzzahl und optionale Einheit (Beispiel: 10K ist 10*1024). Einheiten sind K, M, G, T, P, E, Z, Y, R, Q (Potenzen von 1024) oder KB, MB, … (Potenzen von 1000). Es können auch binäre Präfixe verwandt werden: KiB=K, MiB=M und so weiter.

Das Argument ZEITSTIL kann full-iso, long-iso, iso, locale oder +FORMAT sein. FORMAT wird wie bei date(1) interpretiert. Falls FORMAT die Form FORMAT1<Zeilenumbruch>FORMAT2 hat, wird FORMAT1 für nicht kürzlich geänderte Dateien benutzt und FORMAT2 für kürzlich geänderte. Wird ZEITSTIL »posix« vorangestellt, hat dies nur außerhalb der POSIX-Locale einen Effekt. Auch setzt die Umgebungsvariable TIME_STYLE den zu verwendenden Standardstil.

Die Vorgabe für das Argument WANN ist »always«, es kann aber auch auf »auto« oder »never« gesetzt werden.

Die Verwendung von Farben zur Unterscheidung von Dateitypen ist sowohl in der Voreinstellung als auch bei --color=never ausgeschaltet. Mit --color=auto gibt ls nur dann Farbcodes aus, wenn die Standardausgabe mit einem Terminal verbunden ist. Die Umgebungsvariable LS_COLORS kann diese Einstellungen ändern. Benutzen Sie den Befehl dircolors, um sie festzulegen.

  Rückgabewert:

0   wenn alles in Ordnung ist,

1   bei kleineren Problemen (z. B. kein Zugriff auf Unterverzeichnis),

2   bei ernsthaften Schwierigkeiten (z. B. kein Zugriff auf Befehlszeilenargument).

AUTOR
Geschrieben von Richard M. Stallman und David MacKenzie.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-coreutils@gnu.org.
Website der GNU Coreutils: https://www.gnu.org/software/coreutils/
Allgemeine Hilfe zur Benutzung von GNU-Software: https://www.gnu.org/gethelp/
Melden Sie Fehler in der Programmübersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

SIEHE AUCH
dircolors(1)

Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/ls>
oder lokal verfügbar mit: info '(coreutils) ls invocation'

Paketiert durch Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Lizenz GPLv3+: GNU GPL Version 3 oder neuer https://gnu.org/licenses/gpl.html
Dies ist freie Software: Sie können sie verändern und weitergeben.
Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Dr. Tobias Quathamer <toddy@debian.org>, Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).